CSL Pay Developers

Find A Trade By The Client Reference You Supplied

GET /fx-rate-api/fx/orders/reference

This endpoint retrieves a trade by its external reference, allowing a partner to retrieve the status and details of a previously submitted trade. A partner would call this endpoint when they need to check the status of a trade that was submitted using the external reference. The endpoint returns the trade data, including its status, message, and system reference.

Query parameters

  • clientReference string

Request body (optional)

This endpoint accepts a body with no declared schema.

Response 200

  • success string
    Indicates the outcome of the request
  • externalReference string
    A unique identifier for the external system making the request
  • tradeData object8 fields
    Contains information about the trade
    • fixedSide string
      The side of the trade that is fixed
    • sourceCurrency string
      The currency of the source amount
    • sourceAmount number
      The amount in the source currency
    • targetCurrency string
      The currency of the target amount
    • targetAmount number
      The amount in the target currency
    • rate number
      The exchange rate used for the trade
    • quoteId string
      A unique identifier for the quote used for the trade
    • quoteValidUntilDateTime string
      The date and time until which the quote is valid